Page MenuHomePhabricator

Fabric-alize dashiki dashboard deployments {crow} [13 pts]
Closed, ResolvedPublic

Description

Vital Signs, VE editor comparison, and soon other dashboards will be running on top of dashiki and pointing at different piwik site ids. We need to puppetize this instead of manually setting it up. It's not hugely urgent, because the manual set up is easy, but it's risky since the manual setup is in Dan's head.

Event Timeline

Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Backlog.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 4:03 PM
Milimetric triaged this task as Normal priority.Aug 27 2015, 5:12 PM
Milimetric set Security to None.
Milimetric moved this task from Incoming to Prioritized on the Analytics-Backlog board.
Milimetric edited projects, added Analytics-Kanban; removed Analytics-Backlog.
Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 237079 had a related patch set uploaded (by Milimetric):
[WIP] Add dashiki module and role

https://gerrit.wikimedia.org/r/237079

Milimetric renamed this task from Puppetize dashiki dashboard deployments to Fabric-alize dashiki dashboard deployments.Dec 14 2015, 5:15 PM
Milimetric reassigned this task from Milimetric to madhuvishy.

Change 259437 had a related patch set uploaded (by Madhuvishy):
[WIP] Setup fabric to deploy dashboards powered by dashiki

https://gerrit.wikimedia.org/r/259437

Nuria moved this task from In Progress to Paused on the Analytics-Kanban board.Dec 23 2015, 7:42 PM

Change 259437 merged by Milimetric:
Set up fabric to deploy dashboards powered by dashiki

https://gerrit.wikimedia.org/r/259437

Milimetric renamed this task from Fabric-alize dashiki dashboard deployments to Fabric-alize dashiki dashboard deployments {crow} [13 pts].Feb 8 2016, 5:40 PM
Nuria closed this task as Resolved.Feb 8 2016, 5:51 PM

Change 237079 abandoned by Milimetric:
[WIP] Add dashiki module and role

Reason:
Madhu Yuvi crushed this in a much simpler way, not needed

https://gerrit.wikimedia.org/r/237079